CREATE OR REPLACE PACKAGE BODY xlib_log
IS
   PROCEDURE m (
      p_module      IN   VARCHAR2,
      p_msg         IN   VARCHAR2,
      p_type    IN   VARCHAR2 DEFAULT 'DEBUG',
      p_level   IN   PLS_INTEGER DEFAULT 15
   )
   IS
      PRAGMA AUTONOMOUS_TRANSACTION;
   BEGIN
     INSERT INTO xlib_logs
               (log_module, log_msg, log_type,
                log_level, log_created_on, log_created_by
               )
        VALUES (SUBSTR (p_module, 1, 100), SUBSTR (p_msg, 1, 4000), p_type,
                p_level, SYSDATE, NVL (v ('APP_USER'), USER)
               );
      COMMIT;
   END;
END;
/

