DECLARE
   v_number          NUMBER;
   no_valid_number   EXCEPTION;
   PRAGMA EXCEPTION_INIT (no_valid_number, -06502);
BEGIN
   v_number := TO_NUMBER (:t_value);
EXCEPTION
   WHEN no_valid_number
   THEN
      HTP.p ('This is not a valid number!');
   WHEN OTHERS
   THEN
      HTP.p (SQLERRM);
END;

